GetOrganizationInviteSummary
POST/gitpod.v1.OrganizationService/GetOrganizationInviteSummary
Retrieves organization details and membership info based on an invite link.
Use this method to:
- Preview organization details before joining
- Validate invite link authenticity
- Check organization size and activity
- View team information before accepting
Examples
-
Get invite summary:
Retrieves organization information from an invite.
inviteId: "d2c94c27-3b76-4a42-b88c-95a85e392c68"
GetOrganizationInviteSummary
curl https://app.gitpod.io/api/gitpod.v1.OrganizationService/GetOrganizationInviteSummary \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $GITPOD_API_KEY" \
-d '{
"inviteId": "d2c94c27-3b76-4a42-b88c-95a85e392c68"
}'{
"organizationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"organizationMemberCount": 0,
"organizationName": "organizationName"
}Returns Examples
{
"organizationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"organizationMemberCount": 0,
"organizationName": "organizationName"
}